# playlist helper

## Usage

```sh
pipx install pleb-saberlist
replay_ranked_ss 
```

### Example

```sh
replay_ranked_ss
Enter the playerid (Default: 76561199407393962): 
Enter the minimum starlevel to include on the playlist (Default: 5): 6
Enter the maximum starlevel to include on the playlist (Default: 7.0): 
Enter the filename for the playlist (Default: Replay SS 6.0★): 
```

Creates a playlist called `Replay SS 6.0★.bplist`

## Development

Clone the repo and install dependencies into a local virtual environment:

```bash
pip install --upgrade pip
pip install --editable .
```

## Resources

* [Beatleader API](https://beatleader.xyz/developer)
* [ScoreSaber API](https://docs.scoresaber.com/)

## Tips

Avoid printing covers in console.

```shell
jq 'del(.image)' < playlist.bplist
```
